Bug 105873 - Can't 'ifup' alias to wireless-tools-controlled interface using dhcp
Can't 'ifup' alias to wireless-tools-controlled interface using dhcp
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-09-28 16:25 EDT by George Karabin
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-01 16:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fixes ifup, but ifdown would need work, probably the wrong approach (884 bytes, patch)
2003-09-28 16:54 EDT, George Karabin
no flags Details | Diff

  None (edit)
Description George Karabin 2003-09-28 16:25:52 EDT
Description of problem:

I can't use 'ifup' to bring up eth1:1, an alias to a different configuration of
my airo_cs wireless card (airo 350). I can bring the interface up manually using
dhclient, however.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a configuration for this device in redhat-config-network.
2. Create another configuration, assigning it alias 1, using DHCP for assigning
an address.
3. Tweak the ifcfg-eth1:1 script to force it to use "auto" rate (See bug #104976).
4. Run 'ifup eth1:1' - fails to connect.
5. iwconfig shows a connection to the access point for eth1
6. Type dhclient eth1, which gets an ip address.

Actual results:

No IP address assigned after step 4, IP address only after extra step 6.

Expected results:

IP address assigned at step 4

Additional info:
Comment 1 George Karabin 2003-09-28 16:55:00 EDT
Created attachment 94803 [details]
fixes ifup, but ifdown would need work, probably the wrong approach

This patch seems to work, but it worries me - I'm hacking out the alias in a
place where maybe it should carry through for other cases (I don't know,
haven't tried to identify all of the cases).

Oddities (at least from my point of view) are that 'ifconfig' shows a
configuration for "eth1", rather than "eth1:1", since I had to use what amounts
to "dhclient eth1" instead of using the alias.

ifdown eth1:1 doesn't bring the interface down, thought ifdown 'eth1' does. I
imagine something in 'ifdown' needs to swap DEVICE and REALDEVICE, assuming
that the ifup patch isn't inherently wrong.
Comment 2 Bill Nottingham 2003-09-29 00:11:52 EDT
Aliases do not work if the main interface isn't up.

I don't think what you're trying to do fits into the alias framework... if it's
just a different configuration, use a different device name.
Comment 3 George Karabin 2003-09-29 17:43:29 EDT
The difficulty (as near as I can see) is that iwconfig thinks the device is
eth1, and I don't know that there's a way to change it, at least, not in a "just
works" way for users of redhat-config-network. Any ideas?
Comment 4 Bill Nottingham 2003-09-29 17:53:16 EDT
Have a /etc/sysconfig/network-scripts/ifcfg-somethingelse, that has DEVICE=eth1
in it.. that should work.
Comment 5 George Karabin 2003-09-29 23:43:39 EDT
Thanks. If that's the preferred solution, then I'll move the bug to
redhat-config-network - it ought to be able to generate the file appropriately.
Comment 6 Bill Nottingham 2003-09-29 23:46:28 EDT
It can, I'm pretty sure. I might be misunderstanding what you're trying to do,
but it looks like you're setting up the wrong thing.

Basically, if you want another configuration for an already existing device, you
set up another configuration, you don't set up an alias.

Aliases are for adding new IPs to already existing devices, not for different
exclusive configurations.
Comment 7 George Karabin 2003-09-30 00:01:26 EDT
I'm not sure that redhat-config-network exposes a way to do this, though. From
the "Devices" tab, pressing "New" generates the following set of menu
transitions: New->Select Device Type->Select Wireless Device->airo_cs
(eth1)->Configure Wireless Connection->Configure Network Settings->Create
Wireless Device

There's no option to assign the "eth" interface presented in the menu. You can
pick "other" at the "Select Wireless Device" menu, but it doesn't give you the
ability to pick the airo_cs driver - instead it shows a list of ethernet drivers
and some wireless drivers, where airo_cs doesn't appear to be a choice. The only
path that I can see (that seems obvious) ends up assigning the alias
automatically - the user doesn't have a "create alias" option, just a "new
device" option that uses aliases if the same interface is already in use.
Comment 8 Bill Nottingham 2003-10-01 16:33:20 EDT
Unfortunately, comments were lost in the db crash, but this was resolved as not
a bug; you do need to configure it differently than as an alias.

Note You need to log in before you can comment on or make changes to this bug.